<?php
require_once ("/usr/local/php/include/apiCall.class.php");
require_once('/usr/php/include/provisioningTool.class.php');
require_once('/usr/local/www/berogui/includes/Helper/Helper.php');

class ProvisioningTriggerConfig extends apiCall {

	function __construct($get = null, $post = null, $files = null){
		parent::__construct($get,$post,$files);
		$this->_name = basename(dirname(__FILE__));
	}
	
	function execute () {

		$pt = new provisioningTool(true);

		if ($pt->updateConfig() == false) {
			$this->_execResultString = 'error<br/>'. $pt->getStdout();
			$this->_execResult = false;
			$this->_execResponseCode = 500;
			return($this->_execResult);
		}

		Helper::activate(3);
		$this->_execResultString .= "<br/>". $pt->getStdout();

		return($this->_execResult);
	}

	function display () {
		return($this->_name . ':' . $this->_execResultString);
	}

}?>